> ## Documentation Index
> Fetch the complete documentation index at: https://docs.helohq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve daily statistics

> Fetches daily aggregated statistics.



## OpenAPI

````yaml /openapi.json get /activity/statistics/daily
openapi: 3.1.0
info:
  description: Helo API
  version: 1.0.0-beta.1
  title: Helo API
servers:
  - url: https://api.helohq.com
security: []
tags:
  - name: Activity
    description: >-
      Track and retrieve message activity, including messages, delivery and
      engagement events.
  - name: Broadcasts
    description: Manage and track broadcast email campaigns.
  - name: Channels
    description: Create and manage communication channels for organizing messages.
  - name: Domains
    description: Register, verify, and manage domains for email sending.
  - name: Sending
    description: Send transactional and broadcast emails.
  - name: Statistics
    description: Access activity statistics.
  - name: Webhooks
    description: Create and manage webhooks for event notifications.
paths:
  /activity/statistics/daily:
    get:
      tags:
        - Statistics
      summary: Retrieve daily statistics
      description: Fetches daily aggregated statistics.
      operationId: Statistics_retrieveDaily
      parameters:
        - name: channelId
          in: query
          required: false
          schema:
            type: string
            format: uuid
        - name: from
          in: query
          required: true
          schema:
            type: string
            format: date
        - name: to
          in: query
          required: true
          schema:
            type: string
            format: date
        - name: tags
          in: query
          required: false
          explode: false
          schema:
            type: array
            items:
              type: string
        - name: timezone
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StatisticsDailyResponse'
        '401':
          description: Unauthorized
          content:
            application/json: {}
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security: []
      x-codeSamples:
        - lang: ruby
          source: |-
            Helo.configure do |config|
              config.api_key = ENV.fetch("HELO_API_KEY")
            end

            opts = {
              channel_id: "550e8400-e29b-41d4-a716-446655440000",
              from: "2024-01-01",
              to: "2024-01-01",
              tags: ["example1", "example2"],
              timezone: "America/New_York"
            }
            Helo::Statistics.retrieve_daily(opts)
        - lang: javascript
          source: |-
            import Helo from "@helo-email/sdk";

            const apiKey = process.env.HELO_API_KEY;
            const helo = new Helo(apiKey);

            const result = await helo.statistics.retrieveDaily({
              channelId: "550e8400-e29b-41d4-a716-446655440000",
              from: "2024-01-01",
              to: "2024-01-01",
              tags: ["example1", "example2"],
              timezone: "America/New_York",
            });
        - lang: go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"log\"\n\t\"os\"\n\n\t\"github.com/helo-email/helo-sdk-go\"\n)\n\nfunc main() {\n\tclient := helo.NewHelo(os.Getenv(\"HELO_API_KEY\"))\n\tctx := context.Background()\n\n\tparams := &helo.StatisticsRetrieveDailyParams{\n\t\tChannelID: \"550e8400-e29b-41d4-a716-446655440000\",\n\t\tFrom: \"2024-01-01\",\n\t\tTo: \"2024-01-01\",\n\t\tTags: []string{\"example1\", \"example2\"},\n\t\tTimezone: \"America/New_York\",\n\t}\n\tresult, err := client.Statistics.RetrieveDaily(ctx, params)\n\tif err != nil {\n\t\tlog.Fatal(err)\n\t}\n\t_ = result\n}"
        - lang: csharp
          source: |-
            using System;

            var stats = await helo.Statistics.RetrieveDaily(
                from: DateTimeOffset.UtcNow.AddDays(-30),
                to: DateTimeOffset.UtcNow,
                timezone: "America/New_York");
        - lang: python
          source: |-
            import sdk_helo_email as helo

            client = helo.Helo()  # reads HELO_API_KEY from the environment

            stats = client.statistics.retrieve_daily(
                from_="2024-01-01",
                to="2024-01-31",
                timezone="America/New_York",
            )
components:
  schemas:
    StatisticsDailyResponse:
      type: object
      properties:
        results:
          type: array
          items:
            type: object
            properties:
              timestamp:
                type: string
                format: date
              transactional:
                $ref: '#/components/schemas/DeliveryStats'
              broadcast:
                $ref: '#/components/schemas/DeliveryStats'
    ErrorResponse:
      description: Standard error response body.
      type: object
      properties:
        type:
          description: A URI reference identifying the problem type.
          type: string
        title:
          description: Short, human-readable summary of the problem.
          type: string
        instance:
          description: URI reference identifying the specific occurrence of the problem.
          type: string
        status:
          description: HTTP status code.
          type: integer
          format: int32
        code:
          description: Application-specific error code.
          type: string
        detail:
          description: Human-readable explanation of this specific occurrence.
          type: string
        requestId:
          description: Unique request ID, useful for support correlation.
          type: string
        errors:
          description: Field-level validation errors, keyed by field name.
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/ValidationError'
    DeliveryStats:
      type: object
      properties:
        sent:
          type: integer
        delivered:
          type: integer
        opened:
          type: integer
        clicked:
          type: integer
        bounced:
          type: integer
        unsubscribed:
          type: integer
        complained:
          type: integer
    ValidationError:
      description: A single field validation error.
      required:
        - message
      type: object
      properties:
        message:
          description: Description of the validation failure.
          type: string

````